/*
 * * reader.c * modified to use data in network byte order
 */
#include <stdio.h>
#include <sys/types.h>
#include <netinet/in.h>
main()
{
	long            i, j;
	u_long          netlong, hostlong;
	for (j = 0; j < 8; j++) {
			if (fread((char *) &netlong, sizeof(netlong), 1, stdin != 1) {
			fprintf(stderr, "failed!\n");
			exit(1);
			}
		hostlong = htonl(netlong);
		printf("%ld ", hostlong);
	}
	printf("\n");
	exit(0);
